import { BaseService, Service, service } from '/@/cool';

// 月报服务（管理端）
class MonthlyReportService extends BaseService {
  // 根据后端自动路由规则，AdminMonthlyReportController -> /admin/monthlyreport/monthly/report
  namespace = '/admin/monthlyreport/monthly/report';

  // 获取统计信息
  async getStatistics(params: any) {
    return this.request({ url: '/statistics', method: 'GET', params });
  }
}

service.monthlyreport = {
  monthlyReport: new MonthlyReportService()
} as unknown as Service;

export default service.monthlyreport;

